<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">
<generatorConfiguration>
  <properties resource="database.properties"/>
  <context id="postgres" targetRuntime="MyBatis3Simple" defaultModelType="flat">
    <property name="beginningDelimiter" value="`"/>
    <property name="endingDelimiter" value="`"/>
    <property name="javaFileEncoding" value="UTF-8"/>
    <plugin type="tk.mybatis.mapper.generator.MapperPlugin">
      <property name="mappers" value="com.ssm.core.mapper.BaseMapper"/>
    </plugin>
    <plugin type="org.mybatis.generator.plugins.EqualsHashCodePlugin"/>
    <plugin type="org.mybatis.generator.plugins.SerializablePlugin"/>
    <plugin type="org.mybatis.generator.plugins.ToStringPlugin"/>
    <jdbcConnection driverClass="${spring.datasource.driver-class-name}"
                    connectionURL="${spring.datasource.url}"
                    userId="${spring.datasource.username}"
                    password="${spring.datasource.password}">
    </jdbcConnection>

    <javaModelGenerator targetPackage="com.ssm.manage.entity" targetProject="E:\workPlace\demay\dm_bean\src\main\java\"/>

    <sqlMapGenerator targetPackage="sqlmap"  targetProject="E:\workPlace\demay\dm_dao\src\main\resources\"/>

    <javaClientGenerator targetPackage="com.ssm.manage.mapper" targetProject="E:\workPlace\demay\dm_dao\src\main\java\" type="XMLMAPPER" />
<!--    <table tableName="account_trade_record" >-->
<!--      &lt;!&ndash;    <property name="useActualColumnNames" value="false"/>&ndash;&gt;-->
<!--      &lt;!&ndash;          <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="appointment_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--&lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC" identity="true"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="attendance_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--&lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="base_city" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="base_collection_type" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="base_county" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="base_project" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="base_project_type" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="base_province" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->
<!--    <table tableName="base_staff" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->
<!--    <table tableName="negative_card_day_record" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="base_store" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->
<!--    <table tableName="cash_account_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--        <table tableName="cash_list" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->

<!--    <table tableName="cash_signature_file" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

    <!--    <table tableName="cash_share" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->
<!--    <table tableName="collection_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="course_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="course_account" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="debt_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="doc_promotion" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="doc_promotion_project" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="member_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="store_member_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="store_member_file" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="store_member_phone" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="member_wallet" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->
<!--    <table tableName="recharge_list" >-->
<!--&lt;!&ndash;    <property name="useActualColumnNames" value="false"/>&ndash;&gt;-->
<!--&lt;!&ndash;          <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->
<!--    <table tableName="pay_list" >-->
<!--      &lt;!&ndash;    <property name="useActualColumnNames" value="false"/>&ndash;&gt;-->
<!--      &lt;!&ndash;          <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="promotion_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="promotion_project" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="promotion_member" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="recharge_account" >-->
<!--      &lt;!&ndash;    <property name="useActualColumnNames" value="false"/>&ndash;&gt;-->
<!--      &lt;!&ndash;          <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="recharge_type" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->

<!--    <table tableName="refund_cash" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="refund_course" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="refund_debt_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--        <table tableName="refund_recharge" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="refund_order_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--      <table tableName="repay_list" >-->
<!--          &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--          &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--      </table>-->
<!--    <table tableName="repay_trade_list" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="staff_salary" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="staff_works" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->
<!--    <table tableName="store_parament" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="store_month_task" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="sys_business_parameters" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->

<!--    <table tableName="sys_global_parameters" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="sys_menu" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="sys_role_power" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="sys_menu_power" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->
<!--    <table tableName="sys_power" >-->
<!--    &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--    &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--  </table>-->
<!--    <table tableName="sys_role" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="sys_role_user" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="sys_user" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->


<!--    <table tableName="upload_files" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->


<!--    <table tableName="member_cs" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="member_order" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="project_progress" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="project_progress_file" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="img_maintain" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--    <table tableName="member_init" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--      <table tableName="modify_recharge_record" >-->
<!--          &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--          &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--      </table>-->
<!--    <table tableName="modify_course_record" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
      <table tableName="member_init_staff" >
          <!--<property name="useActualColumnNames" value="true"/>-->
          <!--      <generatedKey column="appointment_id" sqlStatement="JDBC"/>-->
      </table>

<!--      <table tableName="card_change_in_project" >-->
<!--          &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--          &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--      </table>-->
<!--      <table tableName="card_change_out_project" >-->
<!--          &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--          &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--      </table>-->

<!--    <table tableName="staff_attendance_record" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->
<!--    <table tableName="store_allinpay_info" >-->
<!--      &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--      &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--    </table>-->

<!--        <table tableName="allinpay_cash_list" >-->
<!--          &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--          &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--        </table>-->
<!--            <table tableName="cash_download_record" >-->
<!--              &lt;!&ndash;<property name="useActualColumnNames" value="true"/>&ndash;&gt;-->
<!--              &lt;!&ndash;      <generatedKey column="appointment_id" sqlStatement="JDBC"/>&ndash;&gt;-->
<!--            </table>-->
  </context>
</generatorConfiguration>